# Generated from bridge_cache-0.3.24.gem by gem2rpm -*- rpm-spec -*-
%global gem_name bridge_cache

Name: rubygem-%{gem_name}
Version: 0.3.24
Release: 1%{?dist}
Summary: A mountable engine for bridge data storage
License: MIT
URL: https://www.getbridge.com
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(actionpack) >= 5.1.4
# BuildRequires: rubygem(combustion) >= 0.7.0
# BuildRequires: rubygem(database_cleaner) >= 1.6.2
# BuildRequires: rubygem(factory_bot_rails) >= 4.8.2
# BuildRequires: rubygem(pg) >= 0.21.0
# BuildRequires: rubygem(rspec-rails) >= 3.7.2
# BuildRequires: rubygem(rubocop)
# BuildRequires: rubygem(shoulda-matchers) >= 3.1.2
BuildArch: noarch

%description
A mountable engine for bridge data storage,
can either be used for direct database connection
or as a localized data storage mechanism.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/MIT-LICENSE
%{gem_instdir}/app
%{gem_instdir}/config
%{gem_instdir}/db
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Rakefile

%changelog
* Sun Sep 12 2021 mockbuilder - 0.3.24-1
- Initial package
